<section fxLayout="column">
    <mat-progress-bar *ngIf="loading" mode="indeterminate"></mat-progress-bar>
    <button fxFlexAlign="end" [autofocus]="false" mat-icon-button (click)="close(false)" class="close-icon">
        <mat-icon class="icon">close</mat-icon>
    </button>
    <div class="content" *ngIf="!success">
        <h2 mat-dialog-title>Create Account</h2>
        <p *ngIf="requestError.error != null" style="color: red">{{requestError.error}}</p>
        <form [formGroup]="form" (ngSubmit)="onSubmit(terms)">
            <mat-form-field appearance="outline">
                <mat-label>E-mail</mat-label>
                <input matInput type="email" formControlName="email" placeholder="name@email.com" />
                <mat-error *ngIf="form.invalid">Enter a valid email</mat-error>
            </mat-form-field>
            <mat-form-field (keyup)="onKeyup($event)" appearance="outline">
                <mat-label>UserName</mat-label>
                <input matInput type="text" formControlName="username" placeholder="Enter your userName" />
                <mat-error *ngIf="form.invalid">Username is required </mat-error>
            </mat-form-field>
            <mat-form-field appearance="outline">
                <mat-label>Password</mat-label>
                <input matInput [type]="hide ? 'password' : 'text'" formControlName="password"
                       placeholder="Enter your password" />
                <button type="button" mat-icon-button matSuffix (click)="hide = !hide"
                        [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                    <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                </button>
                <mat-error *ngIf="form.invalid">Password is required </mat-error>
            </mat-form-field>

            <mat-checkbox class="terms" #terms>I agree to the <a routerLink="terms-conditions" target="_blank">Terms &
                Conditions</a>
                and <a routerLink="privacy-policy" target="_blank">Privacy Policy</a></mat-checkbox>
            <button mat-raised-button [disabled]="!form.valid || loading" type="submit">
                Register
            </button>
        </form>

    </div>
    <div class="content" *ngIf="success">
        <h2 mat-dialog-title>Thank you!</h2>
        <mat-dialog-content>
            <div class="text-center">
                <mat-icon class="icon">check_circle_outline</mat-icon>
                <h2>Registered successfully!</h2>
                <p>We sent you a verification email. Please verify and login.</p>
            </div>
            <button mat-raised-button (click)="close(true)">
                Ok
            </button>
        </mat-dialog-content>
    </div>

</section>
